package com.danding.yang800.Vo;

import java.util.List;

/**
 * Created by Administrator on 2018/1/5.
 */
public class PlatInfoVO {

    /**
     * success : true
     * result : {"id":1,"shopId":0,"name":"新用户代金券","availableQuantity":"666","receivedQuantity":"5","limitQuantity":"1","usedQuantity":"10","receiveFee":"6","conditionFee":"7","receiveRuleDesc":"每一用户限领1张（共3000张）","conditionDesc":"无门槛","refundFee":3936,"userPromotionVOList":[{"userId":157,"userName":"王凯","userAvatar":"http://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eorUQOa1aT6GiaImiaDN2OfhM3hmyRwkz2JQEZ8042CVnLFCgcUoiawtcNeS8l9mlCQkUbpfpRqsZIhQ/0","status":3,"statusName":"已分享","updateTime":"2017-12-08 18:24:00"}],"pagination":{"page":1,"size":10,"totalPage":1,"total":1}}
     */

    private boolean success;
    private ResultBean result;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public ResultBean getResult() {
        return result;
    }

    public void setResult(ResultBean result) {
        this.result = result;
    }

    public static class ResultBean {
        /**
         * id : 1
         * shopId : 0
         * name : 新用户代金券
         * availableQuantity : 666
         * receivedQuantity : 5
         * limitQuantity : 1
         * usedQuantity : 10
         * receiveFee : 6
         * conditionFee : 7
         * receiveRuleDesc : 每一用户限领1张（共3000张）
         * conditionDesc : 无门槛
         * refundFee : 3936
         * userPromotionVOList : [{"userId":157,"userName":"王凯","userAvatar":"http://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eorUQOa1aT6GiaImiaDN2OfhM3hmyRwkz2JQEZ8042CVnLFCgcUoiawtcNeS8l9mlCQkUbpfpRqsZIhQ/0","status":3,"statusName":"已分享","updateTime":"2017-12-08 18:24:00"}]
         * pagination : {"page":1,"size":10,"totalPage":1,"total":1}
         */

        private int id;
        private int shopId;
        private String name;
        private String availableQuantity;
        private String receivedQuantity;
        private String limitQuantity;
        private String usedQuantity;
        private String receiveFee;
        private String conditionFee;
        private String receiveRuleDesc;
        private String conditionDesc;
        private int refundFee;
        private PaginationBean pagination;
        private List<UserPromotionVOListBean> userPromotionVOList;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getShopId() {
            return shopId;
        }

        public void setShopId(int shopId) {
            this.shopId = shopId;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getAvailableQuantity() {
            return availableQuantity;
        }

        public void setAvailableQuantity(String availableQuantity) {
            this.availableQuantity = availableQuantity;
        }

        public String getReceivedQuantity() {
            return receivedQuantity;
        }

        public void setReceivedQuantity(String receivedQuantity) {
            this.receivedQuantity = receivedQuantity;
        }

        public String getLimitQuantity() {
            return limitQuantity;
        }

        public void setLimitQuantity(String limitQuantity) {
            this.limitQuantity = limitQuantity;
        }

        public String getUsedQuantity() {
            return usedQuantity;
        }

        public void setUsedQuantity(String usedQuantity) {
            this.usedQuantity = usedQuantity;
        }

        public String getReceiveFee() {
            return receiveFee;
        }

        public void setReceiveFee(String receiveFee) {
            this.receiveFee = receiveFee;
        }

        public String getConditionFee() {
            return conditionFee;
        }

        public void setConditionFee(String conditionFee) {
            this.conditionFee = conditionFee;
        }

        public String getReceiveRuleDesc() {
            return receiveRuleDesc;
        }

        public void setReceiveRuleDesc(String receiveRuleDesc) {
            this.receiveRuleDesc = receiveRuleDesc;
        }

        public String getConditionDesc() {
            return conditionDesc;
        }

        public void setConditionDesc(String conditionDesc) {
            this.conditionDesc = conditionDesc;
        }

        public int getRefundFee() {
            return refundFee;
        }

        public void setRefundFee(int refundFee) {
            this.refundFee = refundFee;
        }

        public PaginationBean getPagination() {
            return pagination;
        }

        public void setPagination(PaginationBean pagination) {
            this.pagination = pagination;
        }

        public List<UserPromotionVOListBean> getUserPromotionVOList() {
            return userPromotionVOList;
        }

        public void setUserPromotionVOList(List<UserPromotionVOListBean> userPromotionVOList) {
            this.userPromotionVOList = userPromotionVOList;
        }

        public static class PaginationBean {
            /**
             * page : 1
             * size : 10
             * totalPage : 1
             * total : 1
             */

            private int page;
            private int size;
            private int totalPage;
            private int total;

            public int getPage() {
                return page;
            }

            public void setPage(int page) {
                this.page = page;
            }

            public int getSize() {
                return size;
            }

            public void setSize(int size) {
                this.size = size;
            }

            public int getTotalPage() {
                return totalPage;
            }

            public void setTotalPage(int totalPage) {
                this.totalPage = totalPage;
            }

            public int getTotal() {
                return total;
            }

            public void setTotal(int total) {
                this.total = total;
            }
        }

        public static class UserPromotionVOListBean {
            /**
             * userId : 157
             * userName : 王凯
             * userAvatar : http://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eorUQOa1aT6GiaImiaDN2OfhM3hmyRwkz2JQEZ8042CVnLFCgcUoiawtcNeS8l9mlCQkUbpfpRqsZIhQ/0
             * status : 3
             * statusName : 已分享
             * updateTime : 2017-12-08 18:24:00
             */

            private int userId;
            private String userName;
            private String userAvatar;
            private int status;
            private String statusName;
            private String updateTime;

            public int getUserId() {
                return userId;
            }

            public void setUserId(int userId) {
                this.userId = userId;
            }

            public String getUserName() {
                return userName;
            }

            public void setUserName(String userName) {
                this.userName = userName;
            }

            public String getUserAvatar() {
                return userAvatar;
            }

            public void setUserAvatar(String userAvatar) {
                this.userAvatar = userAvatar;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public String getStatusName() {
                return statusName;
            }

            public void setStatusName(String statusName) {
                this.statusName = statusName;
            }

            public String getUpdateTime() {
                return updateTime;
            }

            public void setUpdateTime(String updateTime) {
                this.updateTime = updateTime;
            }
        }
    }
}
